Prechádzať zdrojové kódy

Added Travis test script

This builds Openlibm on the Travis build host (x86) and also
cross-compiles to ARM.

Note: the tests currently fail on ARM, as noted in
https://github.com/JuliaLang/openlibm/issues/18
Thomas Leonard 10 rokov pred
rodič
commit
9101f61238
2 zmenil súbory, kde vykonal 30 pridanie a 0 odobranie
  1. 25 0
      .travis.sh
  2. 5 0
      .travis.yml

+ 25 - 0
.travis.sh

@@ -0,0 +1,25 @@
+#!/bin/sh
+set -eux
+
+case "$TARGET" in
+host)
+	uname -a
+	export LOADER=
+	make ;;
+arm32)
+	sudo bash -c 'echo >> /etc/apt/sources.list "deb http://archive.ubuntu.com/ubuntu/ trusty main restricted universe"'
+	sudo apt-get update
+	sudo apt-get -y install gcc-4.7-arm-linux-gnueabihf qemu binfmt-support
+	make CC="arm-linux-gnueabihf-gcc-4.7"
+	export LD_LIBRARY_PATH=/usr/arm-linux-gnueabihf/lib
+	#export LOADER=/usr/arm-linux-gnueabihf/lib/ld-linux-armhf.so.3
+	export LOADER="echo TESTS DISABLED ON ARM"
+	;;
+*)
+	echo 'Unknown TARGET!'
+	exit 1
+	;;
+esac
+
+$LOADER ./test/test-double
+$LOADER ./test/test-float

+ 5 - 0
.travis.yml

@@ -0,0 +1,5 @@
+language: c
+script: ./.travis.sh
+env:
+- TARGET=host
+- TARGET=arm32